/*-------------------------------------------------------------------------------------------------------------------*/
/**
 *    \file       Pwm_Cfg.h
 *    \author     Baciu Vlad-Eusebiu
 *    \brief      Exports the PWM channels configured in configuration array.
 */
/*-------------------------------------------------------------------------------------------------------------------*/

#ifndef PWM_CFG_H
#define PWM_CFG_H

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                                     Inclusions                                                    */
/*-------------------------------------------------------------------------------------------------------------------*/
#include "Pwm.h"
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                            Definition Of Global Macros                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/** \brief  Number of PWM channels in the configuration array */
#define PWM_NUMBER_OF_CHANNELS  (5U)


/** \brief  Position of the channel in the configuration array. Here PB5 PWM pin is on the first position */
#define PWM_B_5                 (0U)
/** \brief  Position of the channel in the configuration array. Here PB7 PWM pin is on the second position */
#define PWM_B_7                 (1U)
/** \brief  Position of the channel in the configuration array. Here PB9 PWM pin is on the third position */
#define PWM_B_9                 (2U)
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                          Definition Of Global Data Types                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Variables                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Constants                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Functions                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
#endif /* PWM_CFG_H */
